_wmfFunctionReference struct Reference

Main Page Alphabetical List Data Structures File List Data Fields Globals

# _wmfFunctionReference Struct Reference

## Data Fields

void(* | device_open )(wmfAPI *)
void(* | device_close )(wmfAPI *)
void(* | device_begin )(wmfAPI *)
void(* | device_end )(wmfAPI *)
void(* | flood_interior )(wmfAPI *, wmfFlood_t *)
void(* | flood_exterior )(wmfAPI *, wmfFlood_t *)
void(* | draw_pixel )(wmfAPI *, wmfDrawPixel_t *)
void(* | draw_pie )(wmfAPI *, wmfDrawArc_t *)
void(* | draw_chord )(wmfAPI *, wmfDrawArc_t *)
void(* | draw_arc )(wmfAPI *, wmfDrawArc_t *)
void(* | draw_ellipse )(wmfAPI *, wmfDrawArc_t *)
void(* | draw_line )(wmfAPI *, wmfDrawLine_t *)
void(* | poly_line )(wmfAPI *, wmfPolyLine_t *)
void(* | draw_polygon )(wmfAPI *, wmfPolyLine_t *)
void(* | draw_polypolygon )(wmfAPI *, wmfPolyPoly_t *)
void(* | draw_rectangle )(wmfAPI *, wmfDrawRectangle_t *)
void(* | rop_draw )(wmfAPI *, wmfROP_Draw_t *)
void(* | bmp_draw )(wmfAPI *, wmfBMP_Draw_t *)
void(* | bmp_read )(wmfAPI *, wmfBMP_Read_t *)
void(* | bmp_free )(wmfAPI *, wmfBMP *)
void(* | draw_text )(wmfAPI *, wmfDrawText_t *)
void(* | udata_init )(wmfAPI *, wmfUserData_t *)
void(* | udata_copy )(wmfAPI *, wmfUserData_t *)
void(* | udata_set )(wmfAPI *, wmfUserData_t *)
void(* | udata_free )(wmfAPI *, wmfUserData_t *)
void(* | region_frame )(wmfAPI *, wmfPolyRectangle_t *)
void(* | region_paint )(wmfAPI *, wmfPolyRectangle_t *)
void(* | region_clip )(wmfAPI *, wmfPolyRectangle_t *)

## Field Documentation

void(* _wmfFunctionReference::bmp_draw)(wmfAPI*,wmfBMP_Draw_t*)

void(* _wmfFunctionReference::bmp_free)(wmfAPI*,wmfBMP*)

void(* _wmfFunctionReference::bmp_read)(wmfAPI*,wmfBMP_Read_t*)

void(* _wmfFunctionReference::device_begin)(wmfAPI*)

void(* _wmfFunctionReference::device_close)(wmfAPI*)

void(* _wmfFunctionReference::device_end)(wmfAPI*)

void(* _wmfFunctionReference::device_open)(wmfAPI*)

void(* _wmfFunctionReference::draw_arc)(wmfAPI*,wmfDrawArc_t*)

void(* _wmfFunctionReference::draw_chord)(wmfAPI*,wmfDrawArc_t*)

void(* _wmfFunctionReference::draw_ellipse)(wmfAPI*,wmfDrawArc_t*)

void(* _wmfFunctionReference::draw_line)(wmfAPI*,wmfDrawLine_t*)

void(* _wmfFunctionReference::draw_pie)(wmfAPI*,wmfDrawArc_t*)

void(* _wmfFunctionReference::draw_pixel)(wmfAPI*,wmfDrawPixel_t*)

void(* _wmfFunctionReference::draw_polygon)(wmfAPI*,wmfPolyLine_t*)

void(* _wmfFunctionReference::draw_polypolygon)(wmfAPI*,wmfPolyPoly_t*)

void(* _wmfFunctionReference::draw_rectangle)(wmfAPI*,wmfDrawRectangle_t*)

void(* _wmfFunctionReference::draw_text)(wmfAPI*,wmfDrawText_t*)

void(* _wmfFunctionReference::flood_exterior)(wmfAPI*,wmfFlood_t*)

void(* _wmfFunctionReference::flood_interior)(wmfAPI*,wmfFlood_t*)

void(* _wmfFunctionReference::poly_line)(wmfAPI*,wmfPolyLine_t*)

void(* _wmfFunctionReference::region_clip)(wmfAPI*,wmfPolyRectangle_t*)

void(* _wmfFunctionReference::region_frame)(wmfAPI*,wmfPolyRectangle_t*)

void(* _wmfFunctionReference::region_paint)(wmfAPI*,wmfPolyRectangle_t*)

void(* _wmfFunctionReference::rop_draw)(wmfAPI*,wmfROP_Draw_t*)

void(* _wmfFunctionReference::udata_copy)(wmfAPI*,wmfUserData_t*)

void(* _wmfFunctionReference::udata_free)(wmfAPI*,wmfUserData_t*)

void(* _wmfFunctionReference::udata_init)(wmfAPI*,wmfUserData_t*)

void(* _wmfFunctionReference::udata_set)(wmfAPI*,wmfUserData_t*)

The documentation for this struct was generated from the following file:

- ipa.h